Subject: Re: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Nov 2017 16:22:10 -0500

>> > By C, do you mean the function `clone-buffer'?
>> No, I meant what's in marker.c.
> I suppose the main issue is fixed in master now:

Indeed.

> To solve the problem more generally, maybe clone-buffer could look for
> local variables with a non-nil symbol property (called, say,
> `clone-buffer-update-function'), the value of which would be a
> function that updates the "cloned" variable properly.

That's just a different hook, with more or less the same downsides as
the one we already have, so I don't see much benefit.

        Stefan